<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
 <head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="viewport" content="initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" />
  <title>Gateway HT-N01 Info</title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link rel="stylesheet" href="css/slicy.css" />
<link rel="stylesheet" href="css/swiper.min.css" />
<link rel="stylesheet" href="css/style.css?v=2" />
<link rel="stylesheet" href="css/responsive.css?v=2" />

<script src="js/jquery-1.7.2.min.js"></script>
<script src="js/jquery.form.min.js"></script>
<script src="js/swiper.min.js"></script>
<script src="js/wow.min.js"></script>
<script src="js/script.js"></script>
<script type="text/javascript">
	$('.fbiuetoth .fswith .tit .ca').click(function(){
		$(this).parents('.fswith').find('.fswpad').slideToggle();
		$(this).toggleClass('on');
	})
	$('.fbiuetoth .fswith .swith .tnt').click(function(){
		$(this).parents('.swith').find('.nail').slideToggle();
	})
	$('.fbiuetoth .fswith .swith .nail .l').click(function(){
		$(this).parents('.swith').find('.tnt h3').text($(this).text());
		$(this).parents('.swith').find('.nail').slideUp();
	})
	
</script>

<script type="text/javascript">
var freq_cn470_1=486600000;
var freq_cn470_2=487400000;
var freq_au915_1=917100000;
var freq_au915_2=917800000;
var freq_us915_1=904300000;
var freq_us915_2=905000000;
var blestart=0;
var showmpass=0;
var xmlHttp;
var checkhex="\"this.value=this.value.replace(/[^0-9a-fA-F]/g,'');\"";
var checkdec="\"this.value=this.value.replace(/[^0-9]/g,'');\"";
function createXMLHttpRequest(){
	if(window.ActiveXObject){
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else if(window.XMLHttpRequest){
		xmlHttp = new XMLHttpRequest();
	}
}

function post(url,para,Func){
	createXMLHttpRequest();
	xmlHttp.open("POST",url,true);
	xmlHttp.onreadystatechange = function(){
		if(xmlHttp.readyState === 4 && xmlHttp.status === 200){            
		console.log(xmlHttp.responseText);
			var result=JSON.parse(xmlHttp.responseText);
			Func(result);
		}
	}
	xmlHttp.setRequestHeader("Content-type", "application/json");
	xmlHttp.send(para);
}

var subband_470=0;
var subband_915=0;

function checkregion()
{
	var region=$("#region_selection").val();
	if(region=="CN470")
	{
		$("#div_subband_915").hide(); 
		$("#div_subband_470").show(); 
		$("#subband_470").val(subband_470);		
	}
	else if(region=="US915"||region=="AU915")
	{
		$("#div_subband_915").show(); 
		$("#div_subband_470").hide(); 
		$("#subband_915").val(subband_915);
	}
	else
	{
		$("#div_subband_915").hide(); 
		$("#div_subband_470").hide(); 
	}
}


function getinfo_callback(status){
	console.log(status);
	$("#mac_eth").html(status.eth);
	$("#mac_wlan").html(status.wlan);
	$("#eth_ip").html(status.ethip);
	$("#wifi_ip").html(status.wlanip);
	$("#mac_4g").html(status.mac_4g);
	$("#ip_4g").html(status.ip_4g);
	$("#m_disk").html(status.disk_G+" ("+status.disk_p+")");
	status.mem=(status.mem-1).toFixed(1);
	$("#m_mem").html(status.mem+"G ("+status.mem_p+"%)");
	$("#p_mem").width(status.mem_p+"%");
	$("#p_disk").width(status.disk_p+"%");
	$("#m_region").html();
	$("#m_cpu_temp").html(status.temperature+"&#8451;");
	$("#m_log").html(status.logsize);
	$("#server_addr").val(status.server_addr);
	$("#port_up").val(status.port_up);
	$("#port_down").val(status.port_down);
	$("#gwid").val(status.gwid);
	$("#region_selection").val(status.region);
	$("#loginname").val(status.logname);
	$("#apssid").val(status.apssid);
	$("#sel_4G").val(status.status_4g);
	$("#sel_net").val(status.netmode);
	$("#wifi_ssid").val(status.wifi_ssid);
	$("#wifi_pass").val(status.wifi_pass);
	$("#wifi_pass_repeat").val(status.wifi_pass);
	switchnetmode();
	if(status.have_wifi=="0")
	{
		$("#div_net").hide();
		$("#div_wifi_info").hide();
		$("#div_m_ap").hide();
	}
	else
	{
		$("#div_net").show();
		$("#div_wifi_info").show();
		$("#div_m_ap").show();
	}
	if(status.have_4g=="0")
	{
		$("#div_4G").hide();
		$("#div_4g_info").hide();
	}
	else
	{
		$("#div_4G").show();
		$("#div_4g_info").show();
	}
	if(status.region=="CN470")
	{
		subband_470=status.subband;}
	else if(status.region=="US915"||status.region=="AU915"){
		subband_915=status.subband;}
	if(status.server_addr!="127.0.0.1")
	{
		$("#server").val(1); 
	}
	else
	{
		$("#server").val(0);
	}
	checkserveraddr();
	checkregion();
	enablebutton();
	$("#region").show();
	gettime();
}

function getstatus(){
	post('apply.php',null,getinfo_callback);
}

function timestampToTime(timestamp) {
var date = new Date(timestamp*1000);//
console.log(date);
var Y = date.getFullYear() + '-';
var M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
var D = date.getDate() + ' ';
var h = date.getHours() + ':';
var m = date.getMinutes() + ':';
var s = date.getSeconds();
return Y+M+D+h+m+s;
}

function getlocaltime()
{
	var date = new Date();
	$("#s_time_year").val(date.getFullYear());
	$("#s_time_mon").val(date.getMonth()+1);
	$("#s_time_day").val(date.getDate());
	$("#s_time_hour").val(date.getHours());
	$("#s_time_min").val(date.getMinutes());
	$("#s_time_sec").val(date.getSeconds());
}
function gettime(){
	var para = new Object();
	para.apply='gettime';
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),gettime_callback);
}

function settime()
{
	var tt=$("#s_time_year").val()+"/"+$("#s_time_mon").val()+"/"+$("#s_time_day").val()+" "+$("#s_time_hour").val()+":"+$("#s_time_min").val()+":"+$("#s_time_sec").val();
	console.log(tt);
	var newLocalDate = new Date(tt);
	var stamp = Date.parse(newLocalDate )/1000;
	var para = new Object();
	para.apply='settime';
	para.stamp=stamp;
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),settime_callback);
}



function settime_callback(res){
	console.log(res)
	alert("System time updated!")
	location.reload();	
}

function gettime_callback(status){
	//console.log(status);
	//console.log(status.stamp);
	var date = new Date(status.stamp*1000);
	$("#time_year").val(date.getFullYear());
	$("#time_mon").val(date.getMonth()+1);
	$("#time_day").val(date.getDate());
	$("#time_hour").val(date.getHours());
	$("#time_min").val(date.getMinutes());
	$("#time_sec").val(date.getSeconds());
}

function clearlog(){
	var para = new Object();
	para.apply='clearlog';
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),clearlog_callback);
}
function clearlog_callback(status){
	alert("system log cleared.")
	$("#m_log").html(status.logsize);
	$("#m_disk").html(status.disk_G+"G ("+status.disk_p+"%)");
	$("#p_disk").width(status.disk_p+"%");

}


function nothing_callback(res)
{
	console.log(res);
}


function reboot()
{
	var res=confirm("Sure reboot gateway?");
	if(res==0)
	{return;}
	var para = new Object();
	para.apply="reboot";
	console.log(para);
	post('apply.php',JSON.stringify(para),nothing_callback);
}

function poweroff()
{
	var res=confirm("Sure poweroff gateway?");
	if(res==0)
	{return;}
	var para = new Object();
	para.apply="poweroff";
	post('apply.php',JSON.stringify(para),nothing_callback);
}



function disablebutton()
{
	$("#over_lay1").show(); 
}
function enablebutton()
{
	var region=$('#region_selection').val();
	$("#switch").attr('disabled',false);
	$("#region_selection").attr('disabled',false);
	$("#over_lay1").hide(); 

}
function set4G()
{
	var setting=$('#sel_4G').val();
	var para = new Object();
	para.apply="set4G";
	para.setting=setting;
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),set4G_callback);
}
function set4G_callback(res)
{
	//console.log(res);
	if(res.res=="on")
	alert("4G is enabled!");
	else
	alert("4G is disabled!")
	//enablebutton();
}

function switchregion()
{
	var region=$('#region_selection').val();
	var para = new Object();
	para.apply="switchregion";
	para.subband=0;
	if(region=="CN470")
	{
		para.subband=$('#subband_470').val();
		para.freq1=freq_cn470_1+(para.subband-10)*1600000;
		para.freq2=freq_cn470_2+(para.subband-10)*1600000;
	}
	else if(region=="US915")
	{
		para.subband=$('#subband_915').val();
		para.freq1=freq_us915_1+(para.subband-1)*1600000;
		para.freq2=freq_us915_2+(para.subband-1)*1600000;
	}
	else if(region=="AU915")
	{
		para.subband=$('#subband_915').val();
		para.freq1=freq_au915_1+(para.subband-1)*1600000;
		para.freq2=freq_au915_2+(para.subband-1)*1600000;
	}
	para.region=region;
	para.addr=$('#server_addr').val();
	para.portup=$('#port_up').val();
	para.portdown=$('#port_down').val();
	console.log(JSON.stringify(para));
	disablebutton();
	post('apply.php',JSON.stringify(para),switchregion_callback);
}
function switchregion_callback(res)
{
	console.log(res);
	alert("gateway setted");
	enablebutton();
}
var showap=0;
function displayap()
{
	if(showap==0)
	{
		$("#div_ap").show();
		showap=1;
	}
	else
	{
		$("#div_ap").hide();
		showap=0;
	}
}

function displaypass()
{
	if(showmpass==0)
	{
		$("#div_pass").show();
		showmpass=1;
	}
	else
	{
		$("#div_pass").hide();
		showmpass=0;
	}
}

function checkserveraddr()
{
	var val=$("#server").val();
	console.log(val);
	if(val==0)
	{
		$('#server_addr').val("127.0.0.1");
		$('#server_addr').attr("readonly",true);
	}
	else
	{
		$('#server_addr').attr("readonly",false);
	}
}

function apset(){
	var para = new Object();
	para.apply='setap';
	para.apssid=$('#apssid').val();
	para.password=$('#appassword').val();
	para.password_repeat=$('#appassword_repeat').val();
	if(para.password!=para.password_repeat){alert("Error :AP Password repeat is different from AP password.");return;}
	if(para.apssid.length<4){alert("Error : AP ssid min length is 4.");return;}
	if(para.password.length<8){alert("Error : Password min length is 8.");return;}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),apset_callback);
}

function apset_callback(){
	alert("AP modified, plaese reconnect.")
	location.reload();	
}

function passwordset(){
	var para = new Object();
	para.apply='passwordset';
	para.loginname=$('#loginname').val();
	para.password=$('#password').val();
	para.password_repeat=$('#password_repeat').val();
	if(para.password!=para.password_repeat){alert("Error : Password repeat is different from password.");return;}
	if(para.loginname.length<4){alert("Error : login name min length is 4.");return;}
	if(para.password.length<6){alert("Error : Password min length is 6.");return;}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),passwordset_callback);
}

function setnetmode()
{
	var para = new Object();
	para.apply='setnetmode';
	para.password="0";
	para.password_repeat="0";
	para.ssid="0";

	var mode=$('#sel_net').val();
	para.mode=mode;
	if(mode=="WIFI")
	{
		para.ssid=$('#wifi_ssid').val();
		para.password=$('#wifi_pass').val();
		para.password_repeat=$('#wifi_pass_repeat').val();
		if(para.ssid.length==0){alert("Error : Please input WIFI SSID.");return;}
		if(para.password!=para.password_repeat){alert("Error : WIFI Password repeat is different from WIFI password.");return;}
		if(para.password.length==0)
		{
			var res=confirm("Are you sure the wifi password?");
			if(!res)
			{
				return;
			}	
		}
	}
	console.log(JSON.stringify(para));
	post('apply.php',JSON.stringify(para),setnetmode_callback);

}

function setnetmode_callback(){
	alert("Net mode modified, gateway will reboot now!")
	location.reload();	
}


function passwordset_callback(){
	alert("password modified, plaese login again.")
	location.reload();	
}

function switchnetmode()
{
	var mode=$('#sel_net').val();
	if(mode == "WIFI")
	{
		$('#div_wifi').show();
	}
	else
	{
		$('#div_wifi').hide();
	}
}

 $(document).ready(function(){
	console.log(Date.now())
 	disablebutton();
 	getstatus();
	
 });
</script>
</head>
<body>
<div id="over_lay1" style="position: absolute; top: 0px; filter: alpha(opacity=60); background-color:#777;   
                z-index: 999; display:none; font-size:50px;text-align:center;vertical-align: middle;
                opacity:0.5; -moz-opacity:0.5;width:100%;height:300%; line-height:500px; color:red;">please wait ......</div>
		<div class="" style="text-align:center;">
			<div class="fplease" style="text-align;">
			<div class="fbiuetoth" style="text-align:center;">
				<div class="fswith " >
					<div class="tit" style="text-align: center;">
						<h4 style="padding-left:50px">Gateway HT-N01 Info</h4>
					</div>
				</div>
			</div>
		
				<div class="list ">
					<div class="ls" >
						<h4>ETH MAC: <i id='mac_eth'>querying......</i></h4>
					</div>
					<div class="ls" style="width:100%;">
						<h4>ETH IP: <i id='eth_ip'>querying......</i></h4>
					</div>
					<div id="div_wifi_info">
						<div class="ls" style="width:100%;">
							<h4>WLAN MAC: <i id='mac_wlan'>querying......</i></h4>
						</div>
						<div class="ls" style="width:100%;">
							<h4>WLAN IP: <i id='wifi_ip'>querying......</i></h4>
						</div>
					</div>
					<div id="div_4g_info">
						<div class="ls" style="width:100%;">
							<h4>4G MAC: <i id='mac_4g'>querying......</i></h4>
						</div>
						<div class="ls" style="width:100%;">
							<h4>4G IP: <i id='ip_4g'>querying......</i></h4>
						</div>
					</div>
					<div class="ls" style="width:100%;">
						<h4>cpu temperature: <i id='m_cpu_temp'>querying......</i></h4>
					</div>
					<div class="ls" style="width:100%;">
						<h4>system log size: <i id='m_log'>querying......</i><button  onClick="clearlog()" >clear log</button></h4>
					</div>
				</div>
			

			<div class="fdisk  "  style="text-align:center;padding-left:30%;padding-right:30%">
				<div class="lis  " data-wow-delay="0.3s" data-wow-duration="1s">
					<div class="ls" style="width:100%;">
						<div class="tet">
							<h5>disk used:</h5>
							<h6 id='m_disk'>querying......</h6>
						</div>
						<div class="txt">
							<h4 id='p_disk' style="width: 1%;"></h4>
						</div>
					</div>
					<div class="ls" style="width:100%;">
						<div class="tet">
							<h5>memory used:</h5>
							<h6 id='m_mem'>querying......</h6>
						</div>
						<div class="txt">
							<h4 id='p_mem' style="width: 1%;"></h4>
						</div>
					</div>
				</div>
			</div>


			<div class="fbiuetoth">
				<div class="fswith" id="region" style="display:none;margin-top:-30px" >

					<div id ="div_4G" class="swith" style="margin-top:0px;">
						<div style="border:0;color:white;text-align:center">4G Setting</div>
							<select id="sel_4G"  class="tnt" style="height:30px;border:0;color:white;text-align:center" onchange="set4G()">
								<option value="off">Disable</option>
								<option value="on">Enable</option>
							</select>
					</div>
					<div id="div_net">
						<div class="swith" style="margin-top:10px;">
							<div style="border:0;color:white;text-align:center">Net setting</div>
							<select id="sel_net"  class="tnt" style="height:30px;border:0;color:white;text-align:center" onchange="switchnetmode()">
								<option value="ETH">ETH WAN + WIFI AP(AP IP:192.168.4.1))</option>
								<option value="WIFI">WIFI Client + ETH LAN(LAN IP:192.168.4.1)</option>
							</select>
						</div>
						<div id="div_wifi" style="display:none">
							<div class="swith" style="color:white;margin-top:10px;">
								<span class='padright'>WIFI SSID</span><input  class="tnt" id='wifi_ssid' style="height:30px;color:white;text-align:center"></input>
							</div>
							<div class="swith" style="color:white;margin-top:10px;">
								<span class='padright'>WIFI password</span><input type="password" class="tnt" id='wifi_pass' style="height:30px;color:white;text-align:center"></input>
							</div>
							<div class="swith" style="color:white;margin-top:10px;">
								<span class='padright'>WIFI password repeat</span><input type="password" class="tnt" id='wifi_pass_repeat' style="height:30px;color:white;text-align:center"></input>
							</div>
						</div>
						<div class="list" >
							<div style="margin-top:20px;">
								<button class="ls " onClick='setnetmode()' style="height:30px;border:0;color:white">Set net mode</button>
							</div>
						</div>
					</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Current system time</span></input>
						</div>
						<div style="margin-top:10px;display:block;">
							<input  id='time_year' disabled style="height:30px;text-align:center;width:50px;" maxlength="4"></input>
							<span style="color:white;height:30px;line-height:30px;" >&nbsp;-&nbsp;</span>
							<input  id='time_mon' disabled style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;-&nbsp;</span>
							<input  id='time_day' disabled style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="witdh:50px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
							<input  id='time_hour'disabled style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;:&nbsp;</span>
							<input  id='time_min'disabled style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;:&nbsp;</span>
							<input  id='time_sec'disabled style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							
						</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Set system time</span></input>
						</div>

						<div style="margin-top:10px;display:block;">
							<input  id='s_time_year' style="height:30px;text-align:center;width:50px;" maxlength="4"></input>
							<span style="color:white;height:30px;line-height:30px;" >&nbsp;-&nbsp;</span>
							<input  id='s_time_mon' style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;-&nbsp;</span>
							<input  id='s_time_day' style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="witdh:50px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
							<input  id='s_time_hour' style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;:&nbsp;</span>
							<input  id='s_time_min' style="height:30px;text-align:center;width:30px" maxlength="2"></input>
							<span style="color:white;height:30px;line-height:30px;">&nbsp;:&nbsp;</span>
							<input  id='s_time_sec' style="height:30px;text-align:center;width:30px" maxlength="2"></input>
						</div>
				<div class="list" >
					<div style="margin-top:20px;">
						<button class="ls " onClick='getlocaltime()' style="height:30px;border:0;color:white">Get local time</button>
					</div>
					<div>
						<button class="ls " onClick='settime()' style="height:30px;border:0;color:white">Set system time</button>
					</div>
				</div>
						<div class="swith"  style="margin-top:20px;">
							<div style="border:0;color:white;text-align:center">Region</div>
							<select id="region_selection"  class="tnt" style="height:30px;border:0;color:white;text-align:center" onchange="checkregion()">
  								<option value ="CN470">CN470</option>
  								<option value ="EU868">EU868</option>
  								<option value ="US915">US915</option>
  								<option value ="AU915">AU915</option>  								
  								<option value="AS923_1">AS923_1(923.2~924.6)</option>
  								<option value="AS923_2">AS923_2(921.4~922.8)</option>
  								<option value="AS923_3">AS923_3(916.6~918.0)</option>
  								<option value="AS923_4">AS923_4(917.3~918.7)</option>
                                                                <option value="AS923_1B">AS923_1B(922.0~923.4)</option>
							</select>
						</div>
						
						<div class="swith"  style="margin-top:10px;" id="div_subband_470">
							<div style="border:0;color:white;text-align:center">Channel</div>
							<select id="subband_470"  class="tnt" style="height:30px;border:0;color:white;text-align:center">
								<option value=0>Channels 0-7</option>
								<option value=1>Channels 8-15</option>
								<option value=2>Channels 16-23</option>
								<option value=3>Channels 24-31</option>
								<option value=4>Channels 32-39</option>
								<option value=5>Channels 40-47</option>
								<option value=6>Channels 48-55</option>
								<option value=7>Channels 56-63</option>
								<option value=8>Channels 64-71</option>
								<option value=9>Channels 72-79</option>
								<option value=10>Channels 80-87</option>
								<option value=11>Channels 88-95</option>
							</select>
						</div>
						<div class="swith" id="div_subband_915" style="margin-top:10px;">
							<div style="border:0;color:white;text-align:center">Channel</div>
							<select id="subband_915" class="tnt" style="height:30px;border:0;color:white;text-align:center">
								<option value=0>Channels 0-7,64</option>
								<option value=1>Channels 8-15,65</option>
								<option value=2>Channels 16-23,66</option>
								<option value=3>Channels 24-31,67</option>
								<option value=4>Channels 32-39,68</option>
								<option value=5>Channels 40-47,69</option>
								<option value=6>Channels 48-55,70</option>
								<option value=7>Channels 56-63,71</option>
							</select>
						</div>
						<div class="swith" style="margin-top:10px;">
							<div  style="border:0;color:white;text-align:center">Server</div>
							<select id="server"  class="tnt" style="height:30px;border:0;color:white;text-align:center" onchange="checkserveraddr()">
								<option value=0>localhost</option>
								<option value=1>custom</option>
							</select>
						</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Server addr </span><input  class="tnt" id='server_addr' style="height:30px;color:white;text-align:center"></input>
						</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Port up</span><input  class="tnt" id='port_up' style="height:30px;color:white;text-align:center" onkeydown="this.value=this.value.replace(/[^0-9]/g,'');" onkeyup="this.value=this.value.replace(/[^0-9]/g,'');"></input>
						</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Port down</span><input  class="tnt" id='port_down'style="height:30px;color:white;text-align:center" onkeydown="this.value=this.value.replace(/[^0-9]/g,'');" onkeyup="this.value=this.value.replace(/[^0-9]/g,'');"></input>
						</div>
						<div class="swith" style="color:white;margin-top:10px;">
							<span class='padright'>Gateway id</span><input  class="tnt" id='gwid' readonly=true style="height:30px;color:white;text-align:center;text-transform:uppercase"></input>
						</div>
						<div class="list">
 							<div style="margin-top:20px;text-align:center" >
								<button class="ls "  onClick='switchregion()' id='switch' disabled="disabled" style="height:50px;border:0;color:white">Set Gateway</button>
							</div>	
						</div>
				</div>


				<div class="list" >
					<div style="margin-top:30px">
						<button class="ls " onClick='displaypass()' id='displaypass' style="height:50px;border:0;color:white">Modify login info</button>
					</div>
				<div class="fswith  list"  id="div_pass" style="display:none">
					<div class="tit" style="text-align: center;">
						<h4>Modify login info</h4>
					</div>
 					<div style="margin-top:20px;text-align:center">
						<span style="font-size:12px;text-align: center;width: 100px;height:30px;color:white;display:inline-block;">login name</span>
						<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
						<input id='loginname' ></input></span>
					</div>
 					<div style="margin-top:20px;text-align:center">
						<span style="font-size:12px;text-align: center;width: 100px;height:30px;color:white;display:inline-block;">Password </span>
						<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
						<input type='password'  id='password' ></input></span>
					</div>
 					<div style="text-align:center">
						<span span style="font-size:12px;text-align: center;width: 100px;height:30px;color: white;display:inline-block;">Password repeat</span>
						<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
						<input type='password' id='password_repeat' ></input></span>
					</div>
					<div class="list">
 						<div  style="text-align: center;" >
							<button class="ls wow" onClick='passwordset()'  style="margin-bottom:20px;height:30px;border:0;color:white">confirm</button>
						</div>	
					</div>
				</div>
					<div id="div_m_ap">
						<div>
							<button class="ls " onClick='displayap()' id='displayap' style="height:50px;border:0;color:white">Modify AP info</button>
						</div>
	

						<div class="fswith  list"  id="div_ap" style="display:none">
							<div class="tit" style="text-align: center;">
								<h4>Modify AP info</h4>
							</div>
 							<div style="margin-top:20px;text-align:center">
								<span style="font-size:12px;text-align: center;width: 100px;height:30px;color:white;display:inline-block;">AP SSID</span>
								<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
								<input id='apssid' ></input></span>
							</div>
 							<div style="margin-top:20px;text-align:center">
								<span style="font-size:12px;text-align: center;width: 100px;height:30px;color:white;display:inline-block;">Password </span>
								<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
								<input type='password'  id='appassword' ></input></span>
							</div>
 							<div style="text-align:center">
								<span span style="font-size:12px;text-align: center;width: 100px;height:30px;color: white;display:inline-block;">Password repeat</span>
								<span style="text-align: center;width: 20px;color: white;display:inline-block;">:</span><span>
								<input type='password' id='appassword_repeat' ></input></span>
							</div>
							<div class="list">
 								<div  style="text-align: center;" >
									<button class="ls wow" onClick='apset()'  style="margin-bottom:20px;height:30px;border:0;color:white">confirm</button>
								</div>	
							</div>
						</div>
					</div>
					<div>
						<button class="ls  " id='reboot' style="height:50px;border:0;color:white" onClick="reboot()">Reboot</button>
					</div>
					<div>
						<button class="ls " id='poweroff' style="height:50px;border:0;color:white" onClick="poweroff()" >Poweroff</button>
					</div>
				</div>

			</div>
		</div>

	
	
</body>
</html>

